> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nrai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Flow Template

> Create a flow template



## OpenAPI

````yaml POST /v1/flow-templates
openapi: 3.0.3
info:
  title: NRAI Documentation
  version: 0.0.0
servers:
  - url: https://cloud.nrai.io/api
    description: Production Server
security: []
externalDocs:
  url: https://nrai.io/docs
  description: Find more info here
paths:
  /v1/flow-templates:
    post:
      tags:
        - flow-templates
      description: Create a flow template
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                description:
                  type: string
                template:
                  type: object
                  properties:
                    displayName:
                      type: string
                    trigger:
                      anyOf:
                        - type: object
                          properties:
                            name:
                              type: string
                            valid:
                              type: boolean
                            displayName:
                              type: string
                            nextAction: {}
                            type:
                              type: string
                              enum:
                                - PIECE_TRIGGER
                            settings:
                              type: object
                              properties:
                                sampleData:
                                  additionalProperties: true
                                  type: object
                                  properties:
                                    sampleDataFileId:
                                      type: string
                                    sampleDataInputFileId:
                                      type: string
                                    lastTestDate:
                                      type: string
                                propertySettings:
                                  type: object
                                  additionalProperties:
                                    type: object
                                    properties:
                                      type:
                                        anyOf:
                                          - type: string
                                            enum:
                                              - MANUAL
                                          - type: string
                                            enum:
                                              - DYNAMIC
                                      schema: {}
                                    required:
                                      - type
                                customLogoUrl:
                                  type: string
                                pieceName:
                                  type: string
                                pieceVersion:
                                  pattern: ^([~^])?[0-9]+\.[0-9]+\.[0-9]+$
                                  type: string
                                triggerName:
                                  type: string
                                input:
                                  type: object
                                  additionalProperties: {}
                              required:
                                - propertySettings
                                - pieceName
                                - pieceVersion
                                - input
                          required:
                            - name
                            - valid
                            - displayName
                            - type
                            - settings
                        - type: object
                          properties:
                            name:
                              type: string
                            valid:
                              type: boolean
                            displayName:
                              type: string
                            nextAction: {}
                            type:
                              type: string
                              enum:
                                - EMPTY
                            settings: {}
                          required:
                            - name
                            - valid
                            - displayName
                            - type
                            - settings
                    valid:
                      type: boolean
                    schemaVersion:
                      type: string
                      nullable: true
                    agentIds:
                      type: array
                      items:
                        type: string
                    connectionIds:
                      type: array
                      items:
                        type: string
                    backupFiles:
                      type: object
                      nullable: true
                      additionalProperties:
                        type: string
                  required:
                    - displayName
                    - trigger
                    - valid
                    - agentIds
                    - connectionIds
                blogUrl:
                  type: string
                type:
                  anyOf:
                    - type: string
                      enum:
                        - PLATFORM
                    - type: string
                      enum:
                        - PROJECT
                tags:
                  type: array
                  items:
                    type: string
                id:
                  type: string
                metadata:
                  type: object
                  nullable: true
                  additionalProperties: {}
              required:
                - template
                - type
        required: true
      responses:
        '200':
          description: Default Response
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````